# declared static method

Field declared(

1. Declaration declaration,
2. Declaration parent,
3. ProtectionDomain domain

)

Creates a Field instance from reflection metadata.

Parameters:

- `declaration`: The field reflection metadata
- `domain`: The protection domain for security

Returns:

- A concrete Field implementation

Typical implementation:

    static Field declared(FieldDeclaration d, ProtectionDomain p) {
      return _FieldImpl(d, p);
    }

## Implementation

    static Field declared(Declaration declaration, Declaration parent, ProtectionDomain domain) {
      return _Field(declaration, parent, domain);
    }